[med-svn] [Git][python-team/packages/python-stubserver][master] Tests: run unit test for all supported Python versions.
jcfp (@jcfp)
gitlab at salsa.debian.org
Sun Dec 4 21:04:30 GMT 2022
jcfp pushed to branch master at Debian Python Team / packages / python-stubserver
Commits:
67879fd0 by Jeroen Ploemen at 2022-12-04T22:03:59+01:00
Tests: run unit test for all supported Python versions.
- - - - -
3 changed files:
- debian/changelog
- debian/tests/control
- debian/tests/run-unit-test
Changes:
=====================================
debian/changelog
=====================================
@@ -1,10 +1,14 @@
python-stubserver (1.1-4) UNRELEASED; urgency=medium
+ [ Athos Ribeiro ]
* Team upload.
* d/p/0001-Ensure-tests-do-not-generate-leftover-data.patch: generate test
data files in temporary paths and clean up after test runs.
* Run tests with pytest instead of setup.py test.
+ [ Jeroen Ploemen ]
+ * Tests: run unit test for all supported Python versions.
+
-- Athos Ribeiro <athoscribeiro at gmail.com> Sun, 04 Dec 2022 11:26:23 -0300
python-stubserver (1.1-3) unstable; urgency=medium
=====================================
debian/tests/control
=====================================
@@ -1,3 +1,3 @@
Tests: run-unit-test
-Depends: python3-stubserver, python3-requests
+Depends: @, python3-all, python3-requests
Restrictions: allow-stderr
=====================================
debian/tests/run-unit-test
=====================================
@@ -1,16 +1,11 @@
-#!/bin/bash
-set -e
-
-pkg=python-stubserver
-
+#!/bin/sh
+set -e -u
export LC_ALL=C.UTF-8
-if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
- AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
- trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
-fi
-
-cp -a test.py "${AUTOPKGTEST_TMP}"
+cp -va test.py "${AUTOPKGTEST_TMP}"
cd "${AUTOPKGTEST_TMP}"
-python3 test.py
+for py in $(py3versions -s 2>/dev/null); do
+ echo "Running testsuite with $py:"
+ $py test.py
+done
View it on GitLab: https://salsa.debian.org/python-team/packages/python-stubserver/-/commit/67879fd06e91f04bd816ffe371fd8c3d07076e8e
--
View it on GitLab: https://salsa.debian.org/python-team/packages/python-stubserver/-/commit/67879fd06e91f04bd816ffe371fd8c3d07076e8e
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20221204/24c5431c/attachment-0001.htm>
More information about the debian-med-commit
mailing list